/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef DICT_CALOINTERFACESDICT_H 
#define DICT_CALOINTERFACESDICT_H 1

#include "CaloInterfaces/ICaloClusterSelector.h"     
#include "CaloInterfaces/ICaloClusterization.h"     
#include "CaloInterfaces/ICaloClusterTool.h"         
#include "CaloInterfaces/ICaloCorrection.h"          
#include "CaloInterfaces/ICaloCosmicsTool.h"
#include "CaloInterfaces/ICaloCosmicsTrackTool.h"
#include "CaloInterfaces/ICaloDigitTool.h"           
#include "CaloInterfaces/ICaloDigits4Track.h"           
#include "CaloInterfaces/ICaloGetterTool.h"
#include "CaloInterfaces/ICaloHypoLikelihood.h"      
#include "CaloInterfaces/ICaloHypoTool.h"            
#include "CaloInterfaces/ICaloHypo2Calo.h"
#include "CaloInterfaces/ICaloLikelihood.h"          
#include "CaloInterfaces/ICaloSplitTool.h"           
#include "CaloInterfaces/ICaloSubClusterTag.h"       
#include "CaloInterfaces/ICaloTrackIdEval.h"         
#include "CaloInterfaces/ICaloTrackMatch.h"         
#include "CaloInterfaces/ICalo2Calo.h"     
#include "CaloInterfaces/ICalo2MCTool.h"
#include "CaloInterfaces/IL0Calo2Calo.h"     
#include "CaloInterfaces/IPart2Calo.h"
#include "CaloInterfaces/ITrack2Calo.h"
#include "CaloInterfaces/ICaloHypoEstimator.h"
#include "CaloInterfaces/IGammaPi0SeparationTool.h"
#include "CaloInterfaces/ICaloRelationsGetter.h"
#include "CaloInterfaces/INeutralIDTool.h"
#include "CaloInterfaces/ICaloShowerOverlapTool.h"

#endif //DICT_CALOINTERFACESDICT_H 
