/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
// Include files 
// ============================================================================
// local
// ============================================================================
#include "CaloInterfaces/ICaloDigits4Track.h"
// ============================================================================
/** @file 
 *  Implementation file for class ICaloDigits4Track
 *  @see ICaloDigits4Track
 *  @date 2009-10-25 
 *  @author Vanya Belyaev Ivan.Belyaev@nikhef.nl
 */
// ============================================================================
/*  static interface identification
 *  @see IInterface
 *  @return unique interface identifier
 */
// ============================================================================
const InterfaceID& ICaloDigits4Track::interfaceID () 
{
  static const InterfaceID s_ID ( "ICaloDigits4Track" , 1 , 0 ) ;
  return s_ID ;
}
// ============================================================================
// virtual & protected destructor 
// ============================================================================
ICaloDigits4Track::~ICaloDigits4Track(){}
// ============================================================================
// The END 
// ============================================================================
