/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
#ifndef RICHDET_DETDICT_H 
#define RICHDET_DETDICT_H 1

#include "RichDet/DeRichBase.h"
#include "RichDet/DeRich1.h"
#include "RichDet/DeRich2.h"
#include "RichDet/DeHorizRich.h"
#include "RichDet/DeRichAerogelRadiator.h"
#include "RichDet/DeRichBeamPipe.h"
#include "RichDet/DeRichGasRadiator.h"
#include "RichDet/DeRich.h"
#include "RichDet/DeRichPDPanel.h"
#include "RichDet/DeRichHPDPanel.h"
#include "RichDet/DeRichPMTPanel.h"
#include "RichDet/DeRichPD.h"
#include "RichDet/DeRichHPD.h"
#include "RichDet/DeRichPMT.h"
#include "RichDet/DeRichMultiSolidRadiator.h"
#include "RichDet/DeRichRadiator.h"
#include "RichDet/DeRichSingleSolidRadiator.h"
#include "RichDet/DeRichSphMirror.h"
#include "RichDet/DeRichSystem.h"
#include "RichDet/Rich1DTabFunc.h"
#include "RichDet/Rich1DTabProperty.h"
#include "RichDet/RichMirrorSegPosition.h"
#include "RichDet/DeRichLocations.h"

// ============================================================================
#endif // RICHDET_DETDICT_H
// ============================================================================
