/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef XMLDERICHSINGLESOLIDRADIATORCNV_CPP
#define XMLDERICHSINGLESOLIDRADIATORCNV_CPP 1

// Include files
#include "GaudiKernel/CnvFactory.h"

#include "RichDet/DeRichSingleSolidRadiator.h"
#include "DetDescCnv/XmlUserDetElemCnv.h"

typedef  XmlUserDetElemCnv<DeRichSingleSolidRadiator>  
XmlDeRichSingleSolidRadiatorCnv;
DECLARE_CONVERTER_FACTORY( XmlDeRichSingleSolidRadiatorCnv )

#endif // XMLDERICHSINGLESOLIDRADIATORCNV_CPP
