/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef RELATIONS_IRELATIONS_H 
#define RELATIONS_IRELATIONS_H 1
// ============================================================================
// Include files
// ===========================================================================
#include "Relations/IRelation.h"
#include "Relations/IRelationWeighted.h"
#include "Relations/IRelation2D.h"
#include "Relations/IRelationWeighted2D.h"
// ===========================================================================
 
// ============================================================================
/** @file
 *  The minimal include file for all abstract interfaces, used i the package
 *
 *  @see IRelationBase
 *  @see IRelation
 *  @see IRelation2D
 *  @see IRelationWeightedBase 
 *  @see IRelationWeighted
 *  @see IRelationWeighted2D
 *
 *  @author Vanya BELYAEV ibelyaev@physics.syr.edu
 *  @date   2006-06-10
 */
// ============================================================================

// ============================================================================
// The END 
// ============================================================================
#endif // RELATIONS_IRELATIONS_H
// ============================================================================
