/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
// Include files 
// ============================================================================
// LoKi
// ============================================================================
#include "LoKi/IHltAntiFactory.h"
// ============================================================================
/** @file 
 *  Implementation file for class LoKi::Hybrid::IHltAntiFactory
 * 
 *  @date 2008-09-18 
 *  @author Vanya BELYAEV Ivan.Belyaev@nikhef.nl
 */
// ============================================================================
// unique interface identifier 
// ============================================================================
const InterfaceID& LoKi::Hybrid::IHltAntiFactory::interfaceID() 
{
  static const InterfaceID s_ID ( "LoKi::Hybryd::IHltAntiFactory" , 1 , 1 ) ;
  return s_ID ;
}
// ============================================================================
// virtual & protected destructor 
// ============================================================================
LoKi::Hybrid::IHltAntiFactory::~IHltAntiFactory(){}
// ============================================================================ 

// ============================================================================
// The END 
// ============================================================================
