/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/

//=============================================================================================
/** @file RichDAQHeaderPD.h
 *
 *  Header file to include all the various HPD header classes
 *
 *
 *  @author Chris Jones       Christopher.Rob.Jones@cern.ch
 *  @date   2003-11-06
 */
//=============================================================================================

#ifndef RICHDAQ_RICHDAQHEADERPD_H
#define RICHDAQ_RICHDAQHEADERPD_H 1

#include "RichKernel/RichDAQHeaderPD_V1.h"
#include "RichKernel/RichDAQHeaderPD_V2.h"
#include "RichKernel/RichDAQHeaderPD_V3.h"
#include "RichKernel/RichDAQHeaderPD_V4.h"

//============================================================================================

#endif // RICHDAQ_RICHDAQHEADERPD_H
