/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
#ifndef DETCOND_DETCONDDICT_H
#define DETCOND_DETCONDDICT_H 1
// ============================================================================
// GaudiKernel
// ============================================================================
#include "GaudiKernel/Time.h"
// ============================================================================
// DetCond
// ============================================================================
#include "DetCond/ICondDBAccessSvc.h"
#include "DetCond/ICondDBEditor.h"
#include "DetCond/ICondDBReader.h"
#include "DetCond/ICOOLConfSvc.h"
// ============================================================================
// CORAL (not available through PyCool)
// ============================================================================
#include "RelationalAccess/ConnectionService.h"
#include "RelationalAccess/IConnectionServiceConfiguration.h"
#include "RelationalAccess/IReplicaSortingAlgorithm.h"
// ============================================================================
namespace _instantiations {
  struct Instantiations {
    ICondDBReader::IOVList _i1;
  };
}
// ============================================================================
#endif // DETCOND_DETCONDDICT_H
// ============================================================================

