/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/

//=============================================================================
/** @file DeRichPD.cpp
 *
 *  Implementation file for class : DeRichPD
 *
 *  @author Chris Jones  christopher.rob.jones@cern.ch
 *  @date   2011-09-23
 */
//=============================================================================

// local
#include "RichDet/DeRichPD.h"

//=============================================================================
// Standard constructor, initializes variables
//=============================================================================
DeRichPD::DeRichPD( const std::string & name ) 
  : DeRichBase         ( name ),
    m_pdQuantumEffFunc ( NULL ) { }

//=============================================================================
// Destructor
//=============================================================================
DeRichPD::~DeRichPD() { } 

//=============================================================================
