/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
// Include files
// ============================================================================
// LHCbKernel
// ============================================================================
#include "Kernel/IInAcceptance.h"
// ============================================================================

// ============================================================================
/** @file
 *  Implementation file for class IInAcceptance
 *
 *  @date 2006-04-05
 *  @author Vanya BELYAEV ibelyaev@physics.syr.edu
 */
// ============================================================================

// ============================================================================
/// anonynous namespace to hide local variable
// ============================================================================
namespace
{
  // ==========================================================================
  /** The unique identifier for IInAcceptance interface
   *  @see IInterface
   *  @see InterfaceID
   */
  // ==========================================================================
  const InterfaceID IID_IInAcceptance ( "IInAcceptance", 1, 0 ) ;
  // ==========================================================================
}
// ============================================================================
/// Return the unique interface identifier
// ============================================================================
const InterfaceID& IInAcceptance::interfaceID() { return IID_IInAcceptance ; }
// ============================================================================
/// virtual and protected destructor
// ============================================================================
IInAcceptance::~IInAcceptance(){}
// ============================================================================

// ============================================================================
// The END
// ============================================================================
