/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
#ifndef LOKI_MOREFUNCTIONS_H 
#define LOKI_MOREFUNCTIONS_H 1
// ============================================================================
// Include files
// ============================================================================
// LoKi
// ============================================================================
#include "LoKi/Functions.h"
#include "LoKi/BiFunctions.h"
#include "LoKi/Primitives.h"
#include "LoKi/Math.h"
#include "LoKi/Operators.h"
// ============================================================================
/** @file   MoreFunctions.h LoKi/MoreFunctions.h
 *  An attempt to reshuffle LoKi files to reduce the compilation time   
 *  @author Vanya BELYAEV ibelyaev@physics.syr.edu
 *  @date   2007-07-17
 */
// ============================================================================
#endif // LOKI_MOREFUNCTIONS_H
// ============================================================================
// The END 
// ============================================================================
