2017-08-29 LHCbSys v38r2p2
---
This version uses Gaudi v25r4 and LCG_69 with ROOT 5.34.21. It is built with CMT
<p>
This version is released on `stripping21-patches` branch. 

## Change to release notes format
**On this branch, the file `LHCbSys/doc/release.notes` is frozen**
<br>Instead, there will be a file per release in the new `ReleaseNotes` directory. e.g. this file is called `ReleaseNotes/v38r2p2.md`

## Patches for Stripping21 that were previously in DaVinci v36r1p4
**[MR !834] Update packages to versions in DaVinci/DV4Strip21 branch:**  
- GaudiConf v19r6  
- MCEvent v3r3p1  
- EventPacker v4r991p1  

## Updated functionality
**[MR !834] Update DetCond for compatibility with new Conditions database structure (c.f. MR !616)**

**[MR !860] Add packing support for MCParticle::m_flags**  
Ported from LHCb v38r6  

**[MR !845] Added the possibility to remap failure return codes to success in XMLSummarySvc**  
Port of MR !637 to this branch. See GAUDI-1301

## Changes to tests
**[MR !834] Update tests for compatibility with current environment**  
- Remove GaudiConf and LHCbSys configurables tests, only meaningful with SVN  
- Fix XmlSummaryKernel tests to use latest test file and work with Python 2.7  
- Remove loaddddb-simcond-2015 test, not supported on this branch
- Fix dumpmultievents reference for updated file path  

**[MR !844] Update LHCbAlgs dqfilter tests for consistency with updated DetCond**  
