2025-01-10 LHCb v38r2p4
===

This version uses
Gaudi [v25r4](../../../../Gaudi/-/tags/v25r4) and
LCG [69](http://lcginfo.cern.ch/release/69/) with ROOT 5.34.21.

This version is released on `stripping21-firstpass-patches` branch. It is intended for patches to the pp full stripping (S21r1, S21) in 2011 and 2012 simulation workflows. Builds with gcc48 on slc6
Built relative to LHCb [v38r2p3](../-/tags/v38r2p3), with the following changes:

### New features ~"new feature"

- ~Persistency ~Simulation | Add setting for configuring output of PGUN simulation (@adavis), !2404 (@cattanem) :star:
- Add algorihtm to read and output Generators FSR information, !3465 (@kreps) :star:
- Add copyright and copyright check, !2896 (@cattanem)


### Fixes ~"bug fix" ~workaround

- ~Conditions | Make sure Git resources are released before git_libgit2_shutdown (@clemenci), !4044 (@cattanem)
- ~Build | Add the installation of the SimComponents and GitEntityResolver python modules for the cmt build (@gcorti), !2485 (@cattanem)
- ~Build | Get libgit2 sources from LHCb repository (@clemenci), !2443 (@cattanem)
- ~Build | Get libgit2 sources from LHCb repository (@clemenci), !2417 (@cattanem)
- Fix potential usage of a null pointer, !4736 (@cattanem)
- Add code to reset m_cBad and m_tBad for each event, !4491 (@cattanem)
- Fix name collisions in XMLSummaryKernel tests, !4098 (@cattanem)
- Randomise default File Catalog name, !3038 (@cattanem)
- Fix issue with LHCbApp().OutputLevel, !1925 (@cattanem)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Configuration | Make comparison in warning printout more robust, !3027 (@cattanem)
- ~Configuration | Remove Upgrade configuration remnants, !2477 (@cattanem)
- ~Tracking | Remove upgrade detectors, !2440 (@cattanem)
- ~Functors | Remove slow Loki import (@chasse), !2601 (@cattanem)
- ~Build | Remove ifdefs and link options for Windows, OSX and ICC, not supported on this branch, !2894 (@cattanem)
- ~Build | Remove WIN32 build directives, !2870 (@cattanem)
- ~Build | Remove CMake configuration as this branch built with CMT, !2866 (@cattanem)
- ~Build | Add some .gitignore rules, !2861 (@clemenci)
- ~Build | Remove WIN32 dead code, !2508 (@cattanem)
- Silence git init for Git >=2.30, !4221 (@cattanem)
- Move away from using CERN-SWTEST, !4025 (@cattanem)
- Remove test-badbanks test, !3482 (@cattanem)
- Remove CondDBBrowser, !3204 (@cattanem)
- Update the release notes template to the latest version, !2895 (@cattanem)
- Remove CVS keywords, !2891 (@cattanem)
- Use Git CondDB for DQFLAGs scan, !2860 (@clemenci) [LHCBPS-1754]
- Remove obsolete configurables test, !2779 (@cattanem) [#100]
- Replace print statement with message logging, !2286 (@cattanem)
- Remove timestamp from GOD output (@rmatev), !1951 (@cattanem)
- Remove AutoTags option using Ariadne, !1838 (@cattanem)
- Remove obsolete Ariadne tests, !1826 (@cattanem)
- Prevent concurrent execution of some tests (@clemenci), !1803 (@cattanem)


### Documentation ~Documentation

- Add copyright and copyright check, !2896 (@cattanem)
- Update the release notes template to the latest version, !2895 (@cattanem)
