###############################################################################
# (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
folderset_closed_xpm = [
    "16 16 9 1",
    "g c #808080",
    "b c #c0c000",
    "e c #c0c0c0",
    "# c #000000",
    "c c #ffff00",
    ". c None",
    "a c #585858",
    "f c #a0a0a4",
    "d c #ffffff",
    "..###...........",
    ".#abc##.........",
    ".#daabc#####....",
    ".#ddeaabbccc#...",
    ".#dedeeabbbba...",
    ".#edeeeeaaaab#..",
    ".#deeeeeeefe#ba.",
    ".#eeeeeeefef#ba.",
    ".#eeeeeefeff#ba.",
    ".#eeeeefefff#ba.",
    ".##geefeffff#ba.",
    "...##gefffff#ba.",
    ".....##fffff#ba.",
    ".......##fff#b##",
    ".........##f#b##",
    "...........####."
]

folderset_open_xpm = [
    "16 16 11 1",
    "# c #000000",
    "g c #c0c0c0",
    "e c #303030",
    "a c #ffa858",
    "b c #808080",
    "d c #a0a0a4",
    "f c #585858",
    "c c #ffdca8",
    "h c #dcdcdc",
    "i c #ffffff",
    ". c None",
    "....###.........",
    "....#ab##.......",
    "....#acab####...",
    "###.#acccccca#..",
    "#ddefaaaccccca#.",
    "#bdddbaaaacccab#",
    ".eddddbbaaaacab#",
    ".#bddggdbbaaaab#",
    "..edgdggggbbaab#",
    "..#bgggghghdaab#",
    "...ebhggghicfab#",
    "....#edhhiiidab#",
    "......#egiiicfb#",
    "........#egiibb#",
    "..........#egib#",
    "............#ee#"
]

folder_xpm = [
    "16 16 7 1",
    "# c #000000",
    "b c #ffffff",
    "e c #000000",
    "d c #404000",
    "c c #c0c000",
    "a c #ffffc0",
    ". c None",
    "................",
    ".........#......",
    "......#.#a##....",
    ".....#b#bbba##..",
    "....#b#bbbabbb#.",
    "...#b#bba##bb#..",
    "..#b#abb#bb##...",
    ".#a#aab#bbbab##.",
    "#a#aaa#bcbbbbbb#",
    "#ccdc#bcbbcbbb#.",
    ".##c#bcbbcabb#..",
    "...#acbacbbbe...",
    "..#aaaacaba#....",
    "...##aaaaa#.....",
    ".....##aa#......",
    ".......##......."
]

detelem_xpm = [
    "16 16 7 1",
    "# c #000000",
    "b c #ffffff",
    "e c #000000",
    "d c #004040",
    "c c #00c0c0",
    "a c #ffffc0",
    ". c None",
    "................",
    ".........#......",
    "........#a##....",
    ".......#bbba##..",
    "......#bbbabbb#.",
    ".....#bba##bb#..",
    "....#abb#bb##...",
    "...#aab#bbbab##.",
    "..#aaa#bcbbbbbb#",
    ".#cdc#bcbbcbbb#.",
    ".##c#bcbbcabb#..",
    "...#acbacbbbe...",
    "..#aaaacaba#....",
    "...##aaaaa#.....",
    ".....##aa#......",
    ".......##......."
]

cond_xpm = [
    "16 16 38 1",
    " 	c None",
    ".	c #000000",
    "+	c #00779B",
    "@	c #0092BE",
    "#	c #00BFFA",
    "$	c #00B4E8",
    "%	c #0085AD",
    "&	c #00C7FF",
    "*	c #00FBFF",
    "=	c #00FEFE",
    "-	c #00FFFF",
    ";	c #008DB9",
    ">	c #00B1E6",
    ",	c #008AB3",
    "'	c #007CA1",
    ")	c #00A8D9",
    "!	c #00BDF6",
    "~	c #00ECFF",
    "{	c #0086AF",
    "]	c #00D5FF",
    "^	c #00E6FF",
    "/	c #00BDF7",
    "(	c #00CEFF",
    "_	c #00F7FF",
    ":	c #00A1D2",
    "<	c #00A2D3",
    "[	c #00C4F6",
    "}	c #00E8FF",
    "|	c #00DCFF",
    "1	c #009ACA",
    "2	c #00D4FF",
    "3	c #00E3FF",
    "4	c #008BB5",
    "5	c #00A7DA",
    "6	c #00B8F0",
    "7	c #00D6FE",
    "8	c #0095C3",
    "9	c #009ECE",
    "  .....         ",
    " .++@#$.        ",
    ".++%&*=-.       ",
    "..++;>.....     ",
    ".+....,')!~.    ",
    ".+++.++{]^--.   ",
    ".+++..++/(_..   ",
    ".+++.+.....^.   ",
    ".+++.++:<:[}.   ",
    ".+++.++<<<||.   ",
    " .++.++<<<||.   ",
    "  ...++1<<23.   ",
    "    .++4<567.   ",
    "     .+4<89.    ",
    "      .....     ",
    "                "
]
